////////////////////////////////////////////////////////////
// Gadget IMS RADIO PLAYER V3 - Vista Widget Engine
// settings.js   
// 2007 InfoMed Solutions (www.infomedsolutions.com)
////////////////////////////////////////////////////////////


//*****************************************************************************************************
// Todae, you should add some "Pingouines" to your radio gadget to have a chance to reach the top downloads ;)
// Keep tryin', good luck.
// Et a fait bien de parler en amricain :D
//*****************************************************************************************************

	
var NumThemes = 100;
var currTheme = 1; 

function startup() 
{
    var currentSetting = System.Gadget.Settings.read("shortcutPath");
    if (currentSetting != "")
	envVar.innerText = currentSetting;	    
    var BackgroundTheme = System.Gadget.Settings.read("BackgroundTheme");
    if (BackgroundTheme != "")
		{
			bg.src = "images/bg" + BackgroundTheme + ".png";
			currTheme = BackgroundTheme;
			numSkin.value = currTheme;
		}
    System.Gadget.onSettingsClosing = SettingsClosing;
	displaySettings('radios');  
	
	var monIMG = "";
	monIMG=System.Gadget.Settings.read("imgfond");
	if (monIMG=="")
	{
		resetIMG();
	}
	else
	{
		document.getElementById('apercuIMG').innerHTML = "<img width='35' height='35' src='"+monIMG+"' style='border:none;' hspace='1' vspace='1'/>" ;
	}
	
	Add_Options();
	
}

function Add_Options(){
	var stationCount = System.Gadget.Settings.read("stationCount");
	document.getElementById('comboRadios').length = 0;
	var nomRadio;
	for (i=0; i<stationCount; i++)
	    {
		  nomRadio=System.Gadget.Settings.readString("station"+i.toString());
		  document.getElementById('comboRadios').options[i] = new Option(nomRadio, i, false, false);
	    }
}

function setPrev()
{
    currTheme -= 1;
    if (currTheme <= 0) 
    currTheme = NumThemes;
	numSkin.value = currTheme;
    alert(currTheme);
    setTheme();
}

function setPrevten()
{
    currTheme -= 10;
    if (currTheme <= 0) 
    currTheme = NumThemes;
	numSkin.value = currTheme;
    alert(currTheme);
    setTheme();
}

function setNext()
{
    currTheme += 1;
    if (currTheme >= NumThemes)
    currTheme = 1;
	numSkin.value = currTheme;
    setTheme();
}

function setNexten()
{
    currTheme += 10;
    if (currTheme >= NumThemes)
    currTheme = 1;
	numSkin.value = currTheme;
    setTheme();
}

function setTheme()
{
         bg.src = "images/bg" + currTheme + ".png";
}
       
function SettingsClosing(event) 
{
	if (event.closeAction == event.Action.commit) 
	{
      	BackgroundTheme = currTheme;
		System.Gadget.Settings.write ("BackgroundTheme", BackgroundTheme);
	}
	event.cancel = false;
}

function ajouter()
{
	document.getElementById('messageDiv').innerText = "";
	
	var nbRadios = 0;
	nbRadios = System.Gadget.Settings.read("nbRadios");
	var stationCount = System.Gadget.Settings.read("stationCount");
	if (nbRadios=="")
	{
		nbRadios==0;
	}
	
	// Rcupration des valeurs :
	eNom = document.getElementById('lenom');
	eURL = document.getElementById('lurl');
	eImage = document.getElementById('limage');
	
	var ajoutOK = "";
	var fichier = "";
	var ext = "";
	
	// Ajout de la radio :
	if (eNom.value != "" && eURL.value!="" && eImage.value!="") 
	{
		fichier=eImage.value ;
		ext = fichier.substr(fichier.lastIndexOf(".")+1); 
		ext = ext.toLowerCase();
		
		if ((ext=="jpg") || (ext=="png") || (ext=="gif") || (ext=="jpeg") || (ext=="bmp"))
		{ 
			nbRadios += 1;
			
			var xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
			xmlDoc.async=false;
			var variableName = "userprofile";
			xmlDoc.load(System.Environment.getEnvironmentVariable(variableName) + "\\ims_radios.xml");
			radiosXML=xmlDoc.documentElement;
			
			stationCount = radiosXML.getAttribute("stationCount");
			stationCount++;
			
			var x=xmlDoc.getElementsByTagName("param");
			x.item(0).setAttribute("stationCount",stationCount);
			// Cre une nouvelle radio
			var newel=xmlDoc.createElement('radio');
			var newtext=xmlDoc.createTextNode(eNom.value);
			newel.appendChild(newtext);
			x[0].appendChild(newel);
			
			// Marque les attributs
			var y=xmlDoc.getElementsByTagName("radio");
			y.item(stationCount-1).setAttribute("station",eNom.value);
			y.item(stationCount-1).setAttribute("url",eURL.value);
			y.item(stationCount-1).setAttribute("img",eImage.value);
		
			xmlDoc.save(System.Environment.getEnvironmentVariable(variableName) + "\\ims_radios.xml");
		
			ajoutOK = "ok";
		}
		else
		{
			ajoutOK = "PbFormat";
		}
	}
	else
	{
		ajoutOK="PbSaisie";
	}
	
	System.Gadget.Settings.write("nbRadios", nbRadios);
	System.Gadget.Settings.write("stationCount", stationCount);
	
	// L'ajout est fait, on vide les champs :
	eNom.value="";
	eURL.value="";
	eImage.value="http://";
	
	initStationList();
	
	switch( ajoutOK ) 
	{
		case 'ok' : document.getElementById('messageDiv').style.display='block';document.getElementById('messageDiv').innerHTML = "<p class='validField'>Radio ajoute / Station added</p>"; break;
		case 'PbFormat' : document.getElementById('messageDiv').style.display='block';document.getElementById('messageDiv').innerHTML ="<p class='errorField'>Format d'image non support / Unsupported image file format</p>" ; break;
		case 'PbSaisie' : document.getElementById('messageDiv').style.display='block';document.getElementById('messageDiv').innerHTML = "<p class='errorField'>Merci de renseignez tous les champs / Please fill all fields</p>"; break;
	}
	window.setTimeout(function () {document.getElementById('messageDiv').innerHTML='';document.getElementById('messageDiv').style.display='none';},2500);
	Add_Options();
}

// Affiche le div slectionn
function displaySettings(divId)
{
	System.Gadget.onSettingsClosing = SettingsClosing;
	
	document.getElementById('radios').style.visibility = "hidden";
	document.getElementById('themes').style.visibility = "hidden";
	document.getElementById('ims').style.visibility = "hidden";
	document.getElementById('support').style.visibility = "hidden";
	
	switch( divId ) 
	{
		case 'radios' : radiosLink.focus(); radios.style.visibility = "visible"; break;
		case 'themes' : themesLink.focus(); themes.style.visibility = "visible"; break;
		case 'ims' : imsLink.focus(); ims.style.visibility = "visible"; break;
		case 'support' : supportLink.focus(); support.style.visibility = "visible"; break;
	}
}

function supprimer()
		{
			var xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
			xmlDoc.async=false;
			var variableName = "userprofile";
			xmlDoc.load(System.Environment.getEnvironmentVariable(variableName) + "\\ims_radios.xml");
			radiosXML=xmlDoc.documentElement;
			
			stationCount = radiosXML.getAttribute("stationCount");
			
			toDel=document.getElementById('comboRadios').value;
			stationCount--;
			var x=xmlDoc.getElementsByTagName("param");
			x.item(0).setAttribute("stationCount",stationCount);
			var y=xmlDoc.getElementsByTagName("radio")[toDel];
			x[0].removeChild(y);
			
			xmlDoc.save(System.Environment.getEnvironmentVariable(variableName) + "\\ims_radios.xml");
			document.getElementById('messageDiv2').style.display='block';
			document.getElementById('messageDiv2').innerHTML ="<p class='validField'>Radio supprime / Station deleted</p>" ;
			window.setTimeout(function () {document.getElementById('messageDiv2').innerHTML='';document.getElementById('messageDiv2').style.display='none';},2500);
			initStationList();
			Add_Options();
			
		}

function importer()
		{
			var f = System.Shell.chooseFile(true, "IMS RadioPlayer list:*.xml", ".", "");
			if (f) 
		      {
				var ficImport = f.path;
				
				stationNames = new Array();
				stationURLs = new Array();
				stationIMGs = new Array();
				
				var xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
				xmlDoc.async=false;
				xmlDoc.load(ficImport);
				var radiosXML=xmlDoc.documentElement;
				
				stationCount = parseInt(radiosXML.getAttribute("stationCount"));
	
				for (var k=0 ; k<stationCount ; k++)
				{
					stationNames[k] = radiosXML.childNodes(k).getAttribute("station") ;
					stationURLs[k]  = radiosXML.childNodes(k).getAttribute("url") ;
					stationIMGs[k] = radiosXML.childNodes(k).getAttribute("img") ;
				}
				
				xmlDoc2 = new ActiveXObject("Microsoft.XMLDOM");
				xmlDoc2.async=false;
				var variableName = "userprofile";
				xmlDoc2.load(System.Environment.getEnvironmentVariable(variableName) + "\\ims_radios.xml");
				radiosXML=xmlDoc2.documentElement;
				
				stationCount2 = parseInt(radiosXML.getAttribute("stationCount"));
				stationCount2=stationCount2+stationCount;
				
				var x=xmlDoc2.getElementsByTagName("param");
				x.item(0).setAttribute("stationCount",stationCount2);
				stationCount2=stationCount2-stationCount;
				var y;
				var newel;
				var newtext;
				
				for (var l=0 ; l<stationCount ; l++)
				{
					stationCount2++;
					
					// Cre une nouvelle radio
					newel=xmlDoc2.createElement('radio');
					newtext=xmlDoc2.createTextNode(stationNames[l]);
					newel.appendChild(newtext);
					x[0].appendChild(newel);
					
					//document.getElementById('messageDiv3').innerText += stationCount2+", ";
					
					// Marque les attributs
					y=xmlDoc2.getElementsByTagName("radio");
					y.item(stationCount2-1).setAttribute("station",stationNames[l]);
					y.item(stationCount2-1).setAttribute("url",stationURLs[l]);
					y.item(stationCount2-1).setAttribute("img",stationIMGs[l]);
				}
				
				xmlDoc2.save(System.Environment.getEnvironmentVariable(variableName) + "\\ims_radios.xml");				
				
				System.Gadget.Settings.write("stationCount", stationCount2);
				
				initStationList();
				Add_Options();
				
				document.getElementById('messageDiv3').style.display='block';
				document.getElementById('messageDiv3').innerHTML ="<p class='validField'>Importation ralise / Import done</p>" ;
				window.setTimeout(function () {document.getElementById('messageDiv3').innerHTML='';document.getElementById('messageDiv3').style.display='none';},2500);
		      }
		}
		
function exporter()
		{
		    var strPath=System.Environment.getEnvironmentVariable("userprofile") ;
		    var strFilter ="IMS RadioPlayer list:*.xml";
		    var strPathResult = System.Shell.saveFileDialog(strPath, strFilter);
		    
			try
		    {
		         var xmlDocSave;
		         xmlDocSave = new ActiveXObject("Microsoft.XMLDOM");
		         xmlDocSave.async="false";
				 var variableName="userprofile";
		         xmlDocSave.load(System.Environment.getEnvironmentVariable(variableName) + "\\ims_radios.xml");
		         strPathResult =strPathResult.toLowerCase();
		         
		         if (strPathResult.indexOf(".xml")<0)
		         {
		         strPathResult  = strPathResult + ".xml";
		         }
		         else
		         {
		         strPathResult  = strPathResult ;
		         }
		         
		         xmlDocSave.save(strPathResult);
		    }
		        catch(err)
		        {
		        }
			
			document.getElementById('messageDiv3').style.display='block';
			document.getElementById('messageDiv3').innerHTML ="<p class='validField'>Exportation ralise / Export done</p>" ;
			window.setTimeout(function () {document.getElementById('messageDiv3').innerHTML='';document.getElementById('messageDiv3').style.display='none';},2500);
		}
		
function choixIMG()
{
	var strPath=System.Environment.getEnvironmentVariable("userprofile") ;
	var strFilter ="Image: *.jpg; *.png; *.gif; *.bmp";
	var strPathResult = System.Shell.chooseFile(true, strFilter, strPath, "");
	var monIMG = strPathResult.path;
	System.Gadget.Settings.write("imgfond", monIMG);
	document.getElementById('apercuIMG').innerHTML = "<img width='35' height='35' src='"+monIMG+"' style='border:none;' hspace='1' vspace='1'/>" ;
}
	
function resetIMG()
{	
	var monIMG="img/fond_layout.png";
	System.Gadget.Settings.write("imgfond", monIMG);
	document.getElementById('apercuIMG').innerHTML ="<img width='35' height='35' src="+monIMG+" style='border:none;' hspace='1' vspace='1'/>" ;	
}
